Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class SOAPActionProcessorImpl

    java.lang.Object
      org.teleal.cling.transport.impl.SOAPActionProcessorImpl

All Implemented Interfaces:
  SOAPActionProcessor

    public class SOAPActionProcessorImpl

extends Object
implements SOAPActionProcessor

Constructor Summary
`SOAPActionProcessorImpl()`

Method Summary
`protected ActionArgumentValue` | `createValue(ActionArgument arg, Object value)`
`protected List<Node>` | `getMatchingNodes(NodeList nodeList, List<ActionArgument> args)`
`protected String` | `getUnprefixedNodeName(Node node)`
`void` | `readActionInputArguments(Element actionRequestElement, ActionInvocation actionInvocation)`
`protected void` | `readActionOutputArguments(Element actionResponseElement, ActionInvocation actionInvocation)`
`protected Element` | `readActionRequestElement(Element bodyElement, ActionRequestMessage message, ActionInvocation actionInvocation)`
`protected Element` | `readActionResponseElement(Element bodyElement, ActionInvocation actionInvocation)`
`protected ActionArgumentValue[]` | `readArgumentValues(NodeList nodeList, List<ActionArgument> args)`
`void` | `readBody(ActionRequestMessage requestMessage, ActionInvocation actionInvocation)`
`void` | `readBody(ActionResponseMessage responseMsg, ActionInvocation actionInvocation)`
`protected Element` | `readBodyElement(Document d)`
`protected ActionException` | `readBodyFailure(Document d, Element bodyElement)`
`protected void` | `readBodyRequest(Document d, Element bodyElement, ActionRequestMessage message, ActionInvocation actionInvocation)`
`protected void` | `readBodyResponse(Document d, Element bodyElement, ActionResponseMessage message, ActionInvocation actionInvocation)`
`protected ActionException` | `readFaultElement(Element bodyElement)`
`protected String` | `toString(Document d)`
`protected void` | `writeActionInputArguments(Document d, Element actionRequestElement, ActionInvocation actionInvocation)`
`protected void` | `writeActionOutputArguments(Document d, Element actionResponseElement, ActionInvocation actionInvocation)`
`protected Element` | `writeActionRequestElement(Document d, Element bodyElement, ActionRequestMessage message, ActionInvocation actionInvocation)`
`protected Element` | `writeActionResponseElement(Document d, Element bodyElement, ActionResponseMessage message, ActionInvocation actionInvocation)`
`void` | `writeBody(ActionRequestMessage requestMessage, ActionInvocation actionInvocation)`
`void` | `writeBody(ActionResponseMessage responseMessage, ActionInvocation actionInvocation)`
`protected Element` | `writeBodyElement(Document d)`
`protected void` | `writeBodyFailure(Document d, Element bodyElement, ActionResponseMessage message, ActionInvocation actionInvocation)`
`protected void` | `writeBodyRequest(Document d, Element bodyElement, ActionRequestMessage message, ActionInvocation actionInvocation)`
`protected void` | `writeBodyResponse(Document d, Element bodyElement, ActionResponseMessage message, ActionInvocation actionInvocation)`
`protected void` | `writeFaultElement(Document d, Element bodyElement, ActionInvocation actionInvocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPActionProcessorImpl

    public SOAPActionProcessorImpl()

Method Detail

### writeBody

    public void writeBody(ActionRequestMessage requestMessage,
                          ActionInvocation actionInvocation)
                   throws UnsupportedDataException

  Specified by:
    `writeBody` in interface `SOAPActionProcessor`
  Throws:
    `UnsupportedDataException`

### writeBody

    public void writeBody(ActionResponseMessage responseMessage,
                          ActionInvocation actionInvocation)
                   throws UnsupportedDataException

  Specified by:
    `writeBody` in interface `SOAPActionProcessor`
  Throws:
    `UnsupportedDataException`

### readBody

    public void readBody(ActionRequestMessage requestMessage,
                         ActionInvocation actionInvocation)
                  throws UnsupportedDataException

  Specified by:
    `readBody` in interface `SOAPActionProcessor`
  Throws:
    `UnsupportedDataException`

### readBody

    public void readBody(ActionResponseMessage responseMsg,
                         ActionInvocation actionInvocation)
                  throws UnsupportedDataException

  Specified by:
    `readBody` in interface `SOAPActionProcessor`
  Throws:
    `UnsupportedDataException`

### writeBodyFailure

    protected void writeBodyFailure(Document d,
                                    Element bodyElement,
                                    ActionResponseMessage message,
                                    ActionInvocation actionInvocation)
                             throws Exception

  Throws:
    `Exception`

### writeBodyRequest

    protected void writeBodyRequest(Document d,
                                    Element bodyElement,
                                    ActionRequestMessage message,
                                    ActionInvocation actionInvocation)
                             throws Exception

  Throws:
    `Exception`

### writeBodyResponse

    protected void writeBodyResponse(Document d,
                                     Element bodyElement,
                                     ActionResponseMessage message,
                                     ActionInvocation actionInvocation)
                              throws Exception

  Throws:
    `Exception`

### readBodyFailure

    protected ActionException readBodyFailure(Document d,
                                              Element bodyElement)
                                       throws Exception

  Throws:
    `Exception`

### readBodyRequest

    protected void readBodyRequest(Document d,
                                   Element bodyElement,
                                   ActionRequestMessage message,
                                   ActionInvocation actionInvocation)
                            throws Exception

  Throws:
    `Exception`

### readBodyResponse

    protected void readBodyResponse(Document d,
                                    Element bodyElement,
                                    ActionResponseMessage message,
                                    ActionInvocation actionInvocation)
                             throws Exception

  Throws:
    `Exception`

### writeBodyElement

    protected Element writeBodyElement(Document d)

### readBodyElement

    protected Element readBodyElement(Document d)

### writeActionRequestElement

    protected Element writeActionRequestElement(Document d,
                                                Element bodyElement,
                                                ActionRequestMessage message,
                                                ActionInvocation actionInvocation)

### readActionRequestElement

    protected Element readActionRequestElement(Element bodyElement,
                                               ActionRequestMessage message,
                                               ActionInvocation actionInvocation)

### writeActionResponseElement

    protected Element writeActionResponseElement(Document d,
                                                 Element bodyElement,
                                                 ActionResponseMessage message,
                                                 ActionInvocation actionInvocation)

### readActionResponseElement

    protected Element readActionResponseElement(Element bodyElement,
                                                ActionInvocation actionInvocation)

### writeActionInputArguments

    protected void writeActionInputArguments(Document d,
                                             Element actionRequestElement,
                                             ActionInvocation actionInvocation)

### readActionInputArguments

    public void readActionInputArguments(Element actionRequestElement,
                                         ActionInvocation actionInvocation)
                                  throws ActionException

  Throws:
    `ActionException`

### writeActionOutputArguments

    protected void writeActionOutputArguments(Document d,
                                              Element actionResponseElement,
                                              ActionInvocation actionInvocation)

### readActionOutputArguments

    protected void readActionOutputArguments(Element actionResponseElement,
                                             ActionInvocation actionInvocation)
                                      throws ActionException

  Throws:
    `ActionException`

### writeFaultElement

    protected void writeFaultElement(Document d,
                                     Element bodyElement,
                                     ActionInvocation actionInvocation)

### readFaultElement

    protected ActionException readFaultElement(Element bodyElement)

### toString

    protected String toString(Document d)
                       throws Exception

  Throws:
    `Exception`

### getUnprefixedNodeName

    protected String getUnprefixedNodeName(Node node)

### readArgumentValues

    protected ActionArgumentValue[] readArgumentValues(NodeList nodeList,
                                                       List<ActionArgument> args)
                                                throws ActionException

  Throws:
    `ActionException`

### getMatchingNodes

    protected List<Node> getMatchingNodes(NodeList nodeList,
                                          List<ActionArgument> args)
                                   throws ActionException

  Throws:
    `ActionException`

### createValue

    protected ActionArgumentValue createValue(ActionArgument arg,
                                              Object value)
                                       throws ActionException

  Throws:
    `ActionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.